Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.testing.transportlayer.replay
Class MyEntryDeserializer

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.replay.BasicEntryDeserializer
          org.mpisws.p2p.testing.transportlayer.replay.MyEntryDeserializer

All Implemented Interfaces:
  MyEvents, EntryDeserializer, PeerReviewEvents

    public class MyEntryDeserializer

extends BasicEntryDeserializer
implements MyEvents

Field Summary

Fields inherited from interface org.mpisws.p2p.testing.transportlayer.replay.MyEvents
`EVT_BOOT, EVT_PUBLISH, EVT_SUBSCRIBE`

Fields inherited from interface org.mpisws.p2p.transport.peerreview.PeerReviewEvents
`EVT_ACK, EVT_CHECKPOINT, EVT_INIT, EVT_MAX_SOCKET_EVT, EVT_MIN_SOCKET_EVT, EVT_RECV, EVT_SEND, EVT_SENDSIGN, EVT_SIGN, EVT_SOCKET_CAN_READ, EVT_SOCKET_CAN_RW, EVT_SOCKET_CAN_WRITE, EVT_SOCKET_CLOSE, EVT_SOCKET_CLOSED, EVT_SOCKET_EXCEPTION, EVT_SOCKET_OPEN_INCOMING, EVT_SOCKET_OPEN_OUTGOING, EVT_SOCKET_OPENED_OUTGOING, EVT_SOCKET_READ, EVT_SOCKET_SHUTDOWN_OUTPUT, EVT_SOCKET_WRITE, EX_TYPE_ClosedChannel, EX_TYPE_IO, EX_TYPE_Unknown`

Constructor Summary
`MyEntryDeserializer(IdentifierSerializer serializer)`

Method Summary
`java.lang.String` | `entryId(short id)`
`java.lang.String` | `read(IndexEntry ie, SecureHistory history)`

Methods inherited from class org.mpisws.p2p.transport.peerreview.replay.BasicEntryDeserializer
`main, printLog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyEntryDeserializer

    public MyEntryDeserializer(IdentifierSerializer serializer)

Method Detail

### entryId

    public java.lang.String entryId(short id)

  Specified by:
    `entryId` in interface `EntryDeserializer`
  Overrides:
    `entryId` in class `BasicEntryDeserializer`

### read

    public java.lang.String read(IndexEntry ie,
                                 SecureHistory history)
                          throws java.io.IOException

  Specified by:
    `read` in interface `EntryDeserializer`
  Overrides:
    `read` in class `BasicEntryDeserializer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.